# Uses of Class
it.tdlight.jni.TdApi.PassportElementErrorSource

## Uses of TdApi.PassportElementErrorSource in it.tdlight.jni

Subclasses of TdApi.PassportElementErrorSource in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.PassportElementErrorSourceDataField`
One of the data fields contains an error.
`static final class`
`TdApi.PassportElementErrorSourceFile`
The file contains an error.
`static final class`
`TdApi.PassportElementErrorSourceFiles`
The list of attached files contains an error.
`static final class`
`TdApi.PassportElementErrorSourceFrontSide`
The front side of the document contains an error.
`static final class`
`TdApi.PassportElementErrorSourceReverseSide`
The reverse side of the document contains an error.
`static final class`
`TdApi.PassportElementErrorSourceSelfie`
The selfie with the document contains an error.
`static final class`
`TdApi.PassportElementErrorSourceTranslationFile`
One of files with the translation of the document contains an error.
`static final class`
`TdApi.PassportElementErrorSourceTranslationFiles`
The translation of the document contains an error.
`static final class`
`TdApi.PassportElementErrorSourceUnspecified`
The element contains an error in an unspecified place.
Fields in it.tdlight.jni declared as TdApi.PassportElementErrorSource
Modifier and Type
Field
Description
`TdApi.PassportElementErrorSource`
TdApi.PassportElementError.`source`
Error source.
Constructors in it.tdlight.jni with parameters of type TdApi.PassportElementErrorSource
Modifier
Constructor
Description
``
`PassportElementError(TdApi.PassportElementType type, String message, TdApi.PassportElementErrorSource source)`
Contains the description of an error in a Telegram Passport element.